/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/
//Package
package gov.va.med.esr.messaging.service.inbound;

//Framework classes
import gov.va.med.fw.hl7.Message;

//EDB Classes
import gov.va.med.esr.messaging.util.AbstractMessagingTest;

/**
 * @author Alex Yoon
 * @version 1.0
 */
public class ACKProcessServiceTest extends AbstractMessagingTest {
    /**
     * @param name
     */
    public ACKProcessServiceTest(String name) {
        super(name);
    }
    
    public void testProcessMessageAA() throws Exception {
        Message message = super.createACKAAMessage();
	        
	    InboundProcessService ps = (InboundProcessService)applicationContext.getBean("inbound.ackProcessService");
	    ps.processMessage(message);
    }
    
    public void testProcessMessageAE() throws Exception {
        
        Message message = super.createACKAEMessage();
        
        InboundProcessService ps = (InboundProcessService)applicationContext.getBean("inbound.ackProcessService");
        ps.processMessage(message);
    }
}
